Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servicelevel
Class ServiceLevelManagerFactory

    java.lang.Object
      com.bea.netuix.servicelevel.ServiceLevelManagerFactory

    public class ServiceLevelManagerFactory

extends Object

Provides a single point of access to existing or registered `ServiceLevelManager`.

Constructor Summary
`protected` | `ServiceLevelManagerFactory()`

Method Summary
`static ServiceLevelManagerFactory` | `getInstance()` Obtains the singleton instance of the `ServiceLevelManagerFactory`
`ServiceLevelManager` | `getServiceLevelManager(String webappContextPath)` Gets the `ServiceLevelManager` for a specified webappContextPath.
`boolean` | `isServiceLevelManagerRegistered(String webappContextPath)` Returns whether or not a ServiceLevelManager has been previously registered.
`void` | `registerServiceLevelManager(String webappContextPath, ServiceLevelManager manager)` Registers a non-default implementation of a ServiceLevelManager.
`void` | `unregisterServiceLevelManager(String webappContextPath)` Unregisters the current `ServiceLevelManager` associated with the webappContextPath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceLevelManagerFactory

    protected ServiceLevelManagerFactory()

Method Detail

### getInstance

    public static ServiceLevelManagerFactory getInstance()

  Obtains the singleton instance of the `ServiceLevelManagerFactory`

  Returns
    the `ServiceLevelManagerFactory`

### getServiceLevelManager

    public ServiceLevelManager getServiceLevelManager(String webappContextPath)

  Gets the `ServiceLevelManager` for a specified webappContextPath. Each webapp is assigned its own unique ServiceLevelManager, to which all PortletServiceLevel settings are scoped.

  Parameters
    `webappContextPath` -
  Returns
    the `ServiceLevelManager` for the specified webapp

### registerServiceLevelManager

    public void registerServiceLevelManager(String webappContextPath,
                                            ServiceLevelManager manager)

  Registers a non-default implementation of a ServiceLevelManager. By default, a simple in-memory ServiceLevel manager is used if a manager has not already been registered for a webapp context path. The Portal Framework uses this ServiceLevelManager in environments where there is no enterprise application or in non-Weblogic containers. In environments where there is an enterprise application on Weblogic Server, the Portal Framework will register a P13nCache based implementation of a ServiceLevelManager, which then allows for integration with 3rd party cache providers to enable services such as cluster replication of cached PortletServiceLevel data. By default, however, the P13nCache infrastruture is not cluster replicated, so if that functionality is desired, either a 3rd party cache should be configured or a custom developed ServiceLevelManager can be registered.

  Parameters
    `webappContextPath` -
    `manager` -

### unregisterServiceLevelManager

    public void unregisterServiceLevelManager(String webappContextPath)

  Unregisters the current `ServiceLevelManager` associated with the webappContextPath. This should always be done on redeployment of webapps, as otherwise the managers map retains a reference to the `ServiceLevelManager` and subsequently the `ClassLoader` that loaded it.

  Parameters
    `webappContextPath` -

### isServiceLevelManagerRegistered

    public boolean isServiceLevelManagerRegistered(String webappContextPath)

  Returns whether or not a ServiceLevelManager has been previously registered.

  Parameters
    `webappContextPath` -
  Returns
    true if a ServiceLevelManager has previously been registered for the specified webappContextPath

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved